loci.formats.codec

## Enum JPEG2000SegmentMarker

- java.lang.Object
- - java.lang.Enum<JPEG2000SegmentMarker>
  - - loci.formats.codec.JPEG2000SegmentMarker

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JPEG2000SegmentMarker>, loci.common.enumeration.CodedEnum

      public enum JPEG2000SegmentMarker
      extends java.lang.Enum<JPEG2000SegmentMarker>
      implements loci.common.enumeration.CodedEnum

  An enumeration of JPEG 2000 segment markers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COC`
    `COD`
    `COM`
    `CRG`
    `EOC`
    `EPH`
    `PLM`
    `PLT`
    `POC`
    `PPM`
    `PPT`
    `QCC`
    `QCD`
    `RESERVED_DELIMITER_MARKER_MAX`
    `RESERVED_DELIMITER_MARKER_MIN`
    `RGN`
    `SIZ`
    `SOC`
    `SOC_WRONG_ENDIANNESS`
    `SOD`
    `SOP`
    `SOT`
    `TLM`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `code` Code for the segment marker.
    `private static java.util.Map<java.lang.Integer,JPEG2000SegmentMarker>` | `lookup` Map used to retrieve the segment marker corresponding to the code.
    `private java.lang.String` | `name` The name of the segment marker.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPEG2000SegmentMarker` | `get(int code)` Retrieves the segment marker by reverse lookup of its "code".
    `int` | `getCode()` Implemented as specified by the `CodedEnum` I/F.
    `java.lang.String` | `getName()` Returns the name of the segment marker.
    `static JPEG2000SegmentMarker` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JPEG2000SegmentMarker[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESERVED_DELIMITER_MARKER_MIN

          public static final JPEG2000SegmentMarker RESERVED_DELIMITER_MARKER_MIN

    - #### RESERVED_DELIMITER_MARKER_MAX

          public static final JPEG2000SegmentMarker RESERVED_DELIMITER_MARKER_MAX

    - #### SOC

          public static final JPEG2000SegmentMarker SOC

    - #### SOC_WRONG_ENDIANNESS

          public static final JPEG2000SegmentMarker SOC_WRONG_ENDIANNESS

    - #### SOT

          public static final JPEG2000SegmentMarker SOT

    - #### SOD

          public static final JPEG2000SegmentMarker SOD

    - #### EOC

          public static final JPEG2000SegmentMarker EOC

    - #### SIZ

          public static final JPEG2000SegmentMarker SIZ

    - #### COD

          public static final JPEG2000SegmentMarker COD

    - #### COC

          public static final JPEG2000SegmentMarker COC

    - #### RGN

          public static final JPEG2000SegmentMarker RGN

    - #### QCD

          public static final JPEG2000SegmentMarker QCD

    - #### QCC

          public static final JPEG2000SegmentMarker QCC

    - #### POC

          public static final JPEG2000SegmentMarker POC

    - #### TLM

          public static final JPEG2000SegmentMarker TLM

    - #### PLM

          public static final JPEG2000SegmentMarker PLM

    - #### PLT

          public static final JPEG2000SegmentMarker PLT

    - #### PPM

          public static final JPEG2000SegmentMarker PPM

    - #### PPT

          public static final JPEG2000SegmentMarker PPT

    - #### SOP

          public static final JPEG2000SegmentMarker SOP

    - #### EPH

          public static final JPEG2000SegmentMarker EPH

    - #### CRG

          public static final JPEG2000SegmentMarker CRG

    - #### COM

          public static final JPEG2000SegmentMarker COM

  - ### Field Detail

    - #### code

          private int code

      Code for the segment marker.

    - #### name

          private java.lang.String name

      The name of the segment marker.

    - #### lookup

          private static final java.util.Map<java.lang.Integer,JPEG2000SegmentMarker> lookup

      Map used to retrieve the segment marker corresponding to the code.

  - ### Method Detail

    - #### values

          public static JPEG2000SegmentMarker[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPEG2000SegmentMarker c : JPEG2000SegmentMarker.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPEG2000SegmentMarker valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static JPEG2000SegmentMarker get(int code)

      Retrieves the segment marker by reverse lookup of its "code".
      Parameters:
        `code` - The code to look up.
      Returns:
        The `JPEG2000SegmentMarker` instance for the `code` or `null` if it does not exist.

    - #### getCode

          public int getCode()

      Implemented as specified by the `CodedEnum` I/F.
      Specified by:
        `getCode` in interface `loci.common.enumeration.CodedEnum`
      See Also:
        `CodedEnum.getCode()`

    - #### getName

          public java.lang.String getName()

      Returns the name of the segment marker.
      Returns:
        See above.

Copyright © 2026 Open Microscopy Environment